UITabPanel (RichFaces JSF components library 3.1.2.GA API)
Keywords: org.richfaces.component.UITabPanel class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.component
Class UITabPanel

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              javax.faces.component.UIOutput
                  javax.faces.component.UIInput
                      org.richfaces.component.UISwitchablePanel
                          org.richfaces.component.UITabPanel

All Implemented Interfaces:
  javax.faces.component.EditableValueHolder, javax.faces.component.StateHolder, javax.faces.component.ValueHolder

Direct Known Subclasses:
  HtmlTabPanel

    public abstract class UITabPanel

extends org.richfaces.component.UISwitchablePanel

JSF component class

Field Summary
`static java.lang.String` | `COMPONENT_TYPE`

Fields inherited from class org.richfaces.component.UISwitchablePanel
`AJAX_METHOD, CLIENT_METHOD, DEFAULT_METHOD, SERVER_METHOD`

Fields inherited from class javax.faces.component.UIInput
`COMPONENT_FAMILY, CONVERSION_MESSAGE_ID, REQUIRED_MESSAGE_ID`

Constructor Summary
`UITabPanel()`

Method Summary
`java.lang.Object` | `convertSwitchValue(javax.faces.component.UIComponent component, java.lang.Object object)`
`abstract java.lang.String` | `getHeaderAlignment()` Get headers alignment - one of "left", "center" and "right".
`abstract java.lang.String` | `getHeaderClass()`
`abstract java.lang.String` | `getHeaderSpacing()`
`java.util.Iterator` | `getRenderedTabs()` Create iterator for all rendered tabs in this component `Iterator.next()` method will return tab model - `Tab`
`java.lang.Object` | `getRenderedValue()`
`boolean` | `getRendersChildren()`
`java.lang.Object` | `getSelectedTab()` Get value for current selected tab.
`protected java.util.Iterator` | `getSwitchedFacetsAndChildren()`
`abstract java.lang.String` | `getSwitchType()` Get Tab selection behavior for panel - one of "client", "server", "ajax", "page".
`java.lang.Object` | `getValue()`
`void` | `processDecodes(javax.faces.context.FacesContext context)`
`void` | `restoreState(javax.faces.context.FacesContext context, java.lang.Object state)`
`java.lang.Object` | `saveState(javax.faces.context.FacesContext context)`
`abstract void` | `setHeaderAlignment(java.lang.String newAlignment)` Set headers alignment - one of "left", "center" and "right".
`abstract void` | `setHeaderClass(java.lang.String value)`
`abstract void` | `setHeaderSpacing(java.lang.String value)`
`void` | `setRenderedValue(java.lang.Object renderedValue)`
`void` | `setSelectedTab(java.lang.Object tab)` Set currently selected tab.
`abstract void` | `setSwitchType(java.lang.String newvalue)` Set Tab selection behavior for panel - one of "client", "server", "ajax", "page".
`void` | `setValue(java.lang.Object value)`

Methods inherited from class org.richfaces.component.UISwitchablePanel
`broadcast, processUpdates, processValidators, queueEvent, updateModel`

Methods inherited from class javax.faces.component.UIInput
`addValidator, addValueChangeListener, compareValues, decode, getConvertedValue, getFamily, getSubmittedValue, getValidator, getValidators, getValueChangeListener, getValueChangeListeners, isImmediate, isLocalValueSet, isRequired, isValid, removeValidator, removeValueChangeListener, setImmediate, setLocalValueSet, setRequired, setSubmittedValue, setValid, setValidator, setValueChangeListener, validate, validateValue`

Methods inherited from class javax.faces.component.UIOutput
`getConverter, getLocalValue, setConverter`

Methods inherited from class javax.faces.component.UIComponentBase
`addFacesListener, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientId, getFacesContext, getFacesListeners, getFacet, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendererType, getValueBinding, isRendered, isTransient, processRestoreState, processSaveState, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.faces.component.ValueHolder
`getConverter, getLocalValue, setConverter`

Field Detail

### COMPONENT_TYPE

    public static final java.lang.String COMPONENT_TYPE

See Also:
  Constant Field Values

Constructor Detail

### UITabPanel

    public UITabPanel()

Method Detail

### getRendersChildren

    public boolean getRendersChildren()

  Overrides:
    `getRendersChildren` in class `javax.faces.component.UIComponentBase`

### getSwitchedFacetsAndChildren

    protected java.util.Iterator getSwitchedFacetsAndChildren()

  Overrides:
    `getSwitchedFacetsAndChildren` in class `org.richfaces.component.UISwitchablePanel`

### convertSwitchValue

    public java.lang.Object convertSwitchValue(javax.faces.component.UIComponent component,
                                               java.lang.Object object)

  Overrides:
    `convertSwitchValue` in class `org.richfaces.component.UISwitchablePanel`

### getValue

    public java.lang.Object getValue()

  Specified by:
    `getValue` in interface `javax.faces.component.ValueHolder`
  Overrides:
    `getValue` in class `javax.faces.component.UIOutput`

### setValue

    public void setValue(java.lang.Object value)

  Specified by:
    `setValue` in interface `javax.faces.component.ValueHolder`
  Overrides:
    `setValue` in class `javax.faces.component.UIInput`

### getSelectedTab

    public java.lang.Object getSelectedTab()

  Get value for current selected tab. Possible classes - prefered `Integer` for tab number, or other Object for tab model value.

  Returns:
    selectedTab value from local variable or value bindings

### setSelectedTab

    public void setSelectedTab(java.lang.Object tab)

  Set currently selected tab.

  Parameters:
    `tab` -

### getRenderedValue

    public java.lang.Object getRenderedValue()

### setRenderedValue

    public void setRenderedValue(java.lang.Object renderedValue)

### processDecodes

    public void processDecodes(javax.faces.context.FacesContext context)

  Overrides:
    `processDecodes` in class `org.richfaces.component.UISwitchablePanel`

### saveState

    public java.lang.Object saveState(javax.faces.context.FacesContext context)

  Specified by:
    `saveState` in interface `javax.faces.component.StateHolder`
  Overrides:
    `saveState` in class `org.richfaces.component.UISwitchablePanel`

### restoreState

    public void restoreState(javax.faces.context.FacesContext context,
                             java.lang.Object state)

  Specified by:
    `restoreState` in interface `javax.faces.component.StateHolder`
  Overrides:
    `restoreState` in class `org.richfaces.component.UISwitchablePanel`

### getRenderedTabs

    public java.util.Iterator getRenderedTabs()

  Create iterator for all rendered tabs in this component `Iterator.next()` method will return tab model - `Tab`

  Returns:
    Iterator

### getSwitchType

    public abstract java.lang.String getSwitchType()

  Get Tab selection behavior for panel - one of "client", "server", "ajax", "page".

  Overrides:
    `getSwitchType` in class `org.richfaces.component.UISwitchablePanel`
  Returns:
    switchType value from local variable or value bindings

### setSwitchType

    public abstract void setSwitchType(java.lang.String newvalue)

  Set Tab selection behavior for panel - one of "client", "server", "ajax", "page".

  Overrides:
    `setSwitchType` in class `org.richfaces.component.UISwitchablePanel`
  Parameters:
    `newvalue` -

### getHeaderAlignment

    public abstract java.lang.String getHeaderAlignment()

  Get headers alignment - one of "left", "center" and "right".

  Returns:
    headerAlignment value from local variable or value bindings

### setHeaderAlignment

    public abstract void setHeaderAlignment(java.lang.String newAlignment)

  Set headers alignment - one of "left", "center" and "right".

  Parameters:
    `newAlignment` -

### getHeaderSpacing

    public abstract java.lang.String getHeaderSpacing()

### setHeaderSpacing

    public abstract void setHeaderSpacing(java.lang.String value)

### getHeaderClass

    public abstract java.lang.String getHeaderClass()

### setHeaderClass

    public abstract void setHeaderClass(java.lang.String value)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.